#
# spec file for package python3-regex
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           python3-regex
Version:        2016.09.22
Release:        1.8
License: 	    Python-2.0
Summary:        Alternative regular expression module, to replace re
Url:            https://bitbucket.org/mrabarnett/mrab-regex
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/r/regex/regex-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-testsuite

%description
This new regex implementation is intended eventually to
replace Python’s current re module implementation.

For testing and comparison with the current 're' module
the new implementation is in the form of a module called
'regex'.

%prep
%setup -q -n regex-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} python3 Python3/test_regex.py

%files
%defattr(-,root,root)
%doc README
%doc docs/*
%{python3_sitearch}/*

%changelog
* Tue Oct 18 2016 toddrme2178@gmail.com
- Update to 2016.09.22
  * No upstream changelog
- Enable unit tests.
* Sat Sep 17 2016 toddrme2178@gmail.com
- Update to 2016.08.27
  * Too many changes to list
- Complete rewrite of the .spec file.
* Wed May  9 2012 froh@suse.com
- update to current version 0.1.20120506
* Tue Oct  4 2011 jw@suse.com
- initial pull from pypi
